### Enumeration

# Ggit SubmoduleRecurse

#### Declaration

    enum Ggit.SubmoduleRecurse

#### Description [src]

Options for submodule recurse. Represents the value of `submodule.$name.fetchRecurseSubmodules`.

#### Members

`GGIT_SUBMODULE_RECURSE_NO`

  Do no recurse into submodules.

  - Value: `0`
  - Available since: 1.0
`GGIT_SUBMODULE_RECURSE_YES`

  Recurse into submodules.

  - Value: `1`
  - Available since: 1.0
`GGIT_SUBMODULE_RECURSE_ONDEMAND`

  Recurse into submodules only when commit not already in local clone.

  - Value: `2`
  - Available since: 1.0